{"openapi":"3.0.1","info":{"title":"Canton mainnet API","description":"This is the new API Module implementation. The Canton Blockchain API is used to retrieve Canton Blockchain data. In order to execute queries you need to get API Key and use it in header 'x-api-key'. However, before that you need to sign up on the explorer or company website. If an account is created on the website <strong>https://staketab.com/</strong> or <strong>https://cc.modo.link/</strong>, the user will be granted the <strong>ROLE_USER</strong> role. After that you may fetch API KEY.","termsOfService":"terms-of-service","contact":{"name":"Staketab tech support","url":"https://staketab.com/","email":"support@staketab.com"},"license":{"name":"Apache 2.0","url":"https://www.apache.org/licenses/LICENSE-2.0"},"version":"1.0.0"},"servers":[{"url":"https://t-api.modo.link/canton-mainnet","description":"Production"}],"security":[{"x-api-key":[]}],"tags":[{"name":"Contracts","description":"Contract endpoints"},{"name":"Tokens","description":"Token endpoints"},{"name":"Market Info","description":"Market info endpoints"},{"name":"Updates","description":"Update endpoints"},{"name":"Validators","description":"Validator management endpoints"},{"name":"Transfers","description":"Transfer endpoints"},{"name":"Dashboard","description":"Dashboard endpoints"},{"name":"Events","description":"Event endpoints"},{"name":"Governance","description":"Governance endpoints"},{"name":"Super Validators","description":"Super Validator management endpoints"},{"name":"Featured Apps","description":"Featured Apps endpoints"},{"name":"Parties","description":"Party management endpoints"},{"name":"Rewards","description":"Rewards endpoints"}],"paths":{"/v1/contracts":{"get":{"tags":["Contracts"],"summary":"Get contracts list","description":"Retrieve paginated list of contracts","operationId":"getContracts","parameters":[{"name":"sortBy","in":"query","description":"Sorting parameter.","required":true,"schema":{"type":"string","default":"AGE","enum":["AGE"]},"example":"AGE"},{"name":"page","in":"query","description":"Queried API page.","required":true,"schema":{"maximum":50,"minimum":0,"type":"integer","format":"int32","default":0},"example":0},{"name":"size","in":"query","description":"Number of queried entries.","required":true,"schema":{"maximum":100,"minimum":1,"type":"integer","format":"int32","default":20},"example":20},{"name":"orderBy","in":"query","description":"Sorting method: from the lowest element to the highest (ASC) or from the highest element to the lowest (DESC).","required":true,"schema":{"type":"string","default":"DESC","enum":["ASC","DESC"]},"example":"DESC"}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PagedResponseContractOfferDtoAPI"}}}}}}},"/v1/contracts/{contractId}":{"get":{"tags":["Contracts"],"summary":"Get contract details","description":"Retrieve detailed information about a specific contract","operationId":"getContractDetails","parameters":[{"name":"contractId","in":"path","description":"Contract ID","required":true,"schema":{"type":"string"},"example":"00cd34c126fdf944c0e5fd84fe55a280cc860ea01452b3885d5cdf8d08118acfe8ca101220746f7477a4660994059d6d47879e8f741e3b4f019c5a5b7678f5478fce9e57d8"}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ContractDetailsDtoAPI"}}}}}}},"/v1/contracts/{contractId}/events":{"get":{"tags":["Contracts"],"summary":"Get contract events","description":"Retrieve paginated list of events for a specific contract","operationId":"getContractEvents","parameters":[{"name":"contractId","in":"path","description":"Contract ID","required":true,"schema":{"type":"string"},"example":"00cd34c126fdf944c0e5fd84fe55a280cc860ea01452b3885d5cdf8d08118acfe8ca101220746f7477a4660994059d6d47879e8f741e3b4f019c5a5b7678f5478fce9e57d8"},{"name":"sortBy","in":"query","description":"Sorting parameter.","required":true,"schema":{"type":"string","default":"AGE","enum":["AGE"]},"example":"AGE"},{"name":"size","in":"query","description":"Number of queried entries.","required":true,"schema":{"maximum":100,"minimum":1,"type":"integer","format":"int32","default":20},"example":20},{"name":"orderBy","in":"query","description":"Sorting method: from the lowest element to the highest (ASC) or from the highest element to the lowest (DESC).","required":true,"schema":{"type":"string","default":"DESC","enum":["ASC","DESC"]},"example":"DESC"},{"name":"nextCursor","in":"query","description":"Cursor for pagination to retrieve the next page of results. Leave empty for the first page.","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PageResponseContractEventDtoAPI"}}}}}}},"/v1/dashboard":{"get":{"tags":["Dashboard"],"summary":"Get dashboard data","description":"Retrieve dashboard statistics and metrics","operationId":"getDashboard","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DashboardDtoAPI"}}}}}}},"/v1/events":{"get":{"tags":["Events"],"summary":"Get events list","description":"Retrieve paginated list of events","operationId":"getEvents","parameters":[{"name":"sortBy","in":"query","description":"Sorting parameter.","required":true,"schema":{"type":"string","default":"AGE","enum":["AGE"]},"example":"AGE"},{"name":"page","in":"query","description":"Queried API page.","required":true,"schema":{"maximum":50,"minimum":0,"type":"integer","format":"int32","default":0},"example":0},{"name":"size","in":"query","description":"Number of queried entries.","required":true,"schema":{"maximum":100,"minimum":1,"type":"integer","format":"int32","default":20},"example":20},{"name":"orderBy","in":"query","description":"Sorting method: from the lowest element to the highest (ASC) or from the highest element to the lowest (DESC).","required":true,"schema":{"type":"string","default":"DESC","enum":["ASC","DESC"]},"example":"DESC"}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PagedResponseEventDtoAPI"}}}}}}},"/v1/events/{eventId}":{"get":{"tags":["Events"],"summary":"Get event details","description":"Retrieve detailed information about a specific event","operationId":"getEventDetails","parameters":[{"name":"eventId","in":"path","description":"Event ID","required":true,"schema":{"type":"string"},"example":"12201877b7cf58905e87cd0e811ae74482128a02a57637e65a1af2db81e769bbe9dc:2"}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/EventDetailsDtoAPI"}}}}}}},"/v1/featured-apps":{"get":{"tags":["Featured Apps"],"summary":"Get featured apps list","description":"Retrieve paginated list of featured applications","operationId":"getFeaturedApps","parameters":[{"name":"page","in":"query","description":"Queried API page","required":false,"schema":{"maximum":50,"minimum":0,"type":"string","default":"0"},"example":0},{"name":"size","in":"query","description":"Number of queried entries","required":false,"schema":{"maximum":100,"minimum":1,"type":"string","default":"20"},"example":20}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PagedResponseFeaturedAppDtoAPI"}}}}}}},"/v1/featured-apps/{contractId}":{"get":{"tags":["Featured Apps"],"summary":"Get featured app details","description":"Retrieve detailed information about a specific featured app","operationId":"getFeaturedAppDetails","parameters":[{"name":"contractId","in":"path","description":"Contract ID","required":true,"schema":{"type":"string"},"example":"000fcbe9115e9c6c90d6e44ab120e5a3b894db3935488ab77244660e64ec7cfb84ca121220c15795ec51f44f6453ca3de595c6b34d25239578b35029f08be593668af9d25a"}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/FeaturedAppDtoAPI"}}}}}}},"/v1/governance/vote-requests":{"get":{"tags":["Governance"],"summary":"Get vote requests list","description":"Retrieve paginated list of vote requests","operationId":"getVoteRequests","parameters":[{"name":"page","in":"query","description":"Queried API page","required":false,"schema":{"maximum":50,"minimum":0,"type":"string","default":"0"},"example":0},{"name":"size","in":"query","description":"Number of queried entries","required":false,"schema":{"maximum":100,"minimum":1,"type":"string","default":"20"},"example":20}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PagedResponseVoteRequestDtoAPI"}}}}}}},"/v1/governance/vote-requests/votes":{"get":{"tags":["Governance"],"summary":"Get individual votes","description":"Retrieve paginated list of individual votes","operationId":"getIndividualVotes","parameters":[{"name":"page","in":"query","description":"Queried API page","required":false,"schema":{"maximum":50,"minimum":0,"type":"string","default":"0"},"example":0},{"name":"size","in":"query","description":"Number of queried entries","required":false,"schema":{"maximum":100,"minimum":1,"type":"string","default":"20"},"example":20}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PagedResponseIndividualVoteDtoAPI"}}}}}}},"/v1/governance/vote-requests/{id}/details":{"get":{"tags":["Governance"],"summary":"Get vote request details","description":"Retrieve detailed information about a specific vote request","operationId":"getVoteRequestDetailsById","parameters":[{"name":"id","in":"path","description":"Vote Request ID","required":true,"schema":{"type":"string"},"example":"0002ef9f6891521213bda55d93365a88af5608c46f82dbdb818e1ee52a9573b6e0ca1112207e389684f874e54629120d9a4ea368fdbc7ae5c289cae388abf3cfe59ba00f9b"}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/VoteRequestDetailsDtoAPI"}}}}}}},"/v1/governance/vote-requests/{id}/votes":{"get":{"tags":["Governance"],"summary":"Get votes by vote request ID","description":"Retrieve paginated list of votes for a specific vote request","operationId":"getVotesByVoteRequestId","parameters":[{"name":"id","in":"path","description":"Contract ID","required":true,"schema":{"type":"string"},"example":"0000abf130bb80ddb9ad9d16b047ecad34952ce3084b6348965105d68d90aeb4a6ca111220cee999c253ae77216a448bae8ba5adfa424e08b9c7f4ffcfe606994235422968"},{"name":"page","in":"query","description":"Queried API page","required":false,"schema":{"maximum":50,"minimum":0,"type":"string","default":"0"},"example":0},{"name":"size","in":"query","description":"Number of queried entries","required":false,"schema":{"maximum":100,"minimum":1,"type":"string","default":"20"},"example":20}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PagedResponseVoteDtoAPI"}}}}}}},"/v1/market/get-market-info":{"get":{"tags":["Market Info"],"summary":"Get market info","description":"Retrieve general market information","operationId":"getMarketInfo","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MarketInfoDtoAPI"}}}}}}},"/v1/market/get-price":{"get":{"tags":["Market Info"],"summary":"Get token rate","description":"Retrieve the current token price","operationId":"getTokenRate","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TokenRateDtoAPI"}}}}}}},"/v1/parties":{"get":{"tags":["Parties"],"summary":"Get parties list","description":"Retrieve paginated list of parties","operationId":"getParties","parameters":[{"name":"sortBy","in":"query","description":"Sorting parameter.","required":true,"schema":{"type":"string","default":"LAST_ACTIVITY_AT","enum":["LAST_ACTIVITY_AT","FIRST_SEEN_AT"]},"example":"LAST_ACTIVITY_AT"},{"name":"page","in":"query","description":"Queried API page.","required":true,"schema":{"maximum":50,"minimum":0,"type":"integer","format":"int32","default":0},"example":0},{"name":"size","in":"query","description":"Number of queried entries.","required":true,"schema":{"maximum":100,"minimum":1,"type":"integer","format":"int32","default":20},"example":20},{"name":"orderBy","in":"query","description":"Sorting method: from the lowest element to the highest (ASC) or from the highest element to the lowest (DESC).","required":true,"schema":{"type":"string","default":"DESC","enum":["ASC","DESC"]},"example":"DESC"}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PagedResponsePartyDtoAPI"}}}}}}},"/v1/parties/top":{"get":{"tags":["Parties"],"summary":"Get top parties","description":"Retrieve paginated list of top parties","operationId":"getTopParties","parameters":[{"name":"sortBy","in":"query","description":"Sorting parameter.","required":true,"schema":{"type":"string","default":"BALANCE","enum":["BALANCE"]},"example":"BALANCE"},{"name":"page","in":"query","description":"Queried API page.","required":true,"schema":{"maximum":50,"minimum":0,"type":"integer","format":"int32","default":0},"example":0},{"name":"size","in":"query","description":"Number of queried entries.","required":true,"schema":{"maximum":100,"minimum":1,"type":"integer","format":"int32","default":20},"example":20},{"name":"orderBy","in":"query","description":"Sorting method: from the lowest element to the highest (ASC) or from the highest element to the lowest (DESC).","required":true,"schema":{"type":"string","default":"DESC","enum":["ASC","DESC"]},"example":"DESC"}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PagedResponsePartyDtoAPI"}}}}}}},"/v1/parties/{partyId}":{"get":{"tags":["Parties"],"summary":"Get party details","description":"Retrieve detailed information about a specific party","operationId":"getPartyDetails","parameters":[{"name":"partyId","in":"path","description":"Party ID","required":true,"schema":{"type":"string"},"example":"Staketab-mainnet-1::122014f09cb05cffc2f1c524601c4aa91d35908dc55cfe9e92849390137ccc7c0d41"}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AccountDetailsDto"}}}}}}},"/v1/parties/{partyId}/types":{"get":{"tags":["Parties"],"summary":"Get party types","description":"Retrieve party types for a specific party","operationId":"getPartyTypes","parameters":[{"name":"partyId","in":"path","description":"Party ID","required":true,"schema":{"type":"string"},"example":"Staketab-mainnet-1::122014f09cb05cffc2f1c524601c4aa91d35908dc55cfe9e92849390137ccc7c0d41"}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AccountTypesDto"}}}}}}},"/v1/rewards/{partyId}":{"get":{"tags":["Rewards"],"summary":"Get rewards by party ID","description":"Retrieve paginated list of rewards for a specific party","operationId":"getRewardsByPartyId","parameters":[{"name":"partyId","in":"path","description":"Party ID","required":true,"schema":{"type":"string"},"example":"Staketab-mainnet-1::122014f09cb05cffc2f1c524601c4aa91d35908dc55cfe9e92849390137ccc7c0d41"},{"name":"page","in":"query","description":"Queried API page","required":false,"schema":{"maximum":50,"minimum":0,"type":"string","default":"0"},"example":0},{"name":"size","in":"query","description":"Number of queried entries","required":false,"schema":{"maximum":100,"minimum":1,"type":"string","default":"20"},"example":20}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PagedResponseRewardRowDtoAPI"}}}}}}},"/v1/super-validators":{"get":{"tags":["Super Validators"],"summary":"Get super validators list","description":"Retrieve paginated list of Super Validators","operationId":"getSuperValidators","parameters":[{"name":"sortBy","in":"query","description":"Sorting parameter.","required":true,"schema":{"type":"string","default":"REWARD","enum":["REWARD"]},"example":"REWARD"},{"name":"page","in":"query","description":"Queried API page.","required":true,"schema":{"maximum":50,"minimum":0,"type":"integer","format":"int32","default":0},"example":0},{"name":"size","in":"query","description":"Number of queried entries.","required":true,"schema":{"maximum":100,"minimum":1,"type":"integer","format":"int32","default":20},"example":20},{"name":"orderBy","in":"query","description":"Sorting method: from the lowest element to the highest (ASC) or from the highest element to the lowest (DESC).","required":true,"schema":{"type":"string","default":"DESC","enum":["ASC","DESC"]},"example":"DESC"}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PagedResponseSuperValidatorDtoAPI"}}}}}}},"/v1/tokens":{"get":{"tags":["Tokens"],"summary":"Get tokens list","description":"Get a list of all token denominations","operationId":"getTokens","parameters":[{"name":"search","in":"query","description":"Search tokens by symbol, name, or contract ID.","required":false,"schema":{"type":"string"}},{"name":"sortBy","in":"query","description":"Sorting parameter.","required":true,"schema":{"type":"string","default":"CREATED_AT","enum":["CREATED_AT"]},"example":"CREATED_AT"},{"name":"page","in":"query","description":"Queried API page.","required":true,"schema":{"maximum":50,"minimum":0,"type":"integer","format":"int32","default":0},"example":0},{"name":"size","in":"query","description":"Number of queried entries.","required":true,"schema":{"maximum":100,"minimum":1,"type":"integer","format":"int32","default":20},"example":20},{"name":"orderBy","in":"query","description":"Sorting method: from the lowest element to the highest (ASC) or from the highest element to the lowest (DESC).","required":true,"schema":{"type":"string","default":"DESC","enum":["ASC","DESC"]},"example":"DESC"}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PagedResponseTokenDtoAPI"}}}}}}},"/v1/tokens/{contractId}":{"get":{"tags":["Tokens"],"summary":"Get token details","description":"Get token details by contract id","operationId":"getTokenByContractId","parameters":[{"name":"contractId","in":"path","description":"Contract id","required":true,"schema":{"type":"string"},"example":"00481944454b1ef1b26fe94e8c2dcc6d5ce4d4b355713237fe7ccdf609cbd5ba02ca111220cbe94684cba8dd031a9f80690da28fe58d753e8ac98763f51cf9806f90001f45"}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TokenDetailsDtoAPI"}}}}}}},"/v1/transfers":{"get":{"tags":["Transfers"],"summary":"Get transfers list","description":"Retrieve paginated list of transfers","operationId":"getTransfers","parameters":[{"name":"sortBy","in":"query","description":"Sorting parameter.","required":true,"schema":{"type":"string","default":"CREATED_AT","enum":["CREATED_AT"]},"example":"CREATED_AT"},{"name":"page","in":"query","description":"Queried API page.","required":true,"schema":{"maximum":50,"minimum":0,"type":"integer","format":"int32","default":0},"example":0},{"name":"size","in":"query","description":"Number of queried entries.","required":true,"schema":{"maximum":100,"minimum":1,"type":"integer","format":"int32","default":20},"example":20},{"name":"orderBy","in":"query","description":"Sorting method: from the lowest element to the highest (ASC) or from the highest element to the lowest (DESC).","required":true,"schema":{"type":"string","default":"DESC","enum":["ASC","DESC"]},"example":"DESC"}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PagedResponseTransferDtoAPI"}}}}}}},"/v1/transfers/{partyId}":{"get":{"tags":["Transfers"],"summary":"Get transfers by party","description":"Retrieve paginated list of transfers for a specific party","operationId":"getTransfersByParty","parameters":[{"name":"partyId","in":"path","description":"Party ID","required":true,"schema":{"type":"string"},"example":"Staketab-mainnet-1::122014f09cb05cffc2f1c524601c4aa91d35908dc55cfe9e92849390137ccc7c0d41"},{"name":"role","in":"query","description":"Filter transfers by role: ANY, SENDER, RECEIVER, or PROVIDER.","required":false,"schema":{"type":"string","default":"ANY","enum":["ANY","SENDER","RECEIVER","PROVIDER"]},"example":"ANY"},{"name":"sortBy","in":"query","description":"Sorting parameter.","required":true,"schema":{"type":"string","default":"AGE","enum":["AGE"]},"example":"AGE"},{"name":"size","in":"query","description":"Number of queried entries.","required":true,"schema":{"maximum":100,"minimum":1,"type":"integer","format":"int32","default":20},"example":20},{"name":"orderBy","in":"query","description":"Sorting method: from the lowest element to the highest (ASC) or from the highest element to the lowest (DESC).","required":true,"schema":{"type":"string","default":"DESC","enum":["ASC","DESC"]},"example":"DESC"},{"name":"nextCursor","in":"query","description":"Cursor for pagination to retrieve the next page of results. Leave empty for the first page.","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PageResponseTransferAccountDtoAPI"}}}}}}},"/v1/updates":{"get":{"tags":["Updates"],"summary":"Get updates list","description":"Get a list of all updates","operationId":"getUpdates","parameters":[{"name":"sortBy","in":"query","description":"Sorting parameter.","required":true,"schema":{"type":"string","default":"AGE","enum":["AGE"]},"example":"AGE"},{"name":"page","in":"query","description":"Queried API page.","required":true,"schema":{"maximum":50,"minimum":0,"type":"integer","format":"int32","default":0},"example":0},{"name":"size","in":"query","description":"Number of queried entries.","required":true,"schema":{"maximum":100,"minimum":1,"type":"integer","format":"int32","default":20},"example":20},{"name":"orderBy","in":"query","description":"Sorting method: from the lowest element to the highest (ASC) or from the highest element to the lowest (DESC).","required":true,"schema":{"type":"string","default":"DESC","enum":["ASC","DESC"]},"example":"DESC"}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PagedResponseUpdateDtoAPI"}}}}}}},"/v1/updates/{updateId}/raw-details":{"get":{"tags":["Updates"],"summary":"Get raw update details","description":"Get details of updates in a raw JSON format by update ID","operationId":"getRawUpdateDetails","parameters":[{"name":"updateId","in":"path","description":"Update ID","required":true,"schema":{"type":"string"},"example":"12200000000e5990b5d1a7db5a0f154dddfea84b855ed18a0d6e35f7ec2e2a158ae1"}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}}}}},"/v1/validators":{"get":{"tags":["Validators"],"summary":"Get validator list","description":"Retrieve paginated list of Validators","operationId":"getValidators","parameters":[{"name":"sortBy","in":"query","description":"Sorting parameter.","required":false,"schema":{"type":"string","default":"LAST_ACTIVE","enum":["LAST_ACTIVE"]},"example":"LAST_ACTIVE"},{"name":"status","in":"query","description":"Filter validators by status.","required":false,"schema":{"type":"string","default":"ALL","enum":["ALL","ACTIVE","INACTIVE"]},"example":"ALL"},{"name":"page","in":"query","description":"Queried API page.","required":true,"schema":{"maximum":50,"minimum":0,"type":"integer","format":"int32","default":0},"example":0},{"name":"size","in":"query","description":"Number of queried entries.","required":true,"schema":{"maximum":100,"minimum":1,"type":"integer","format":"int32","default":20},"example":20},{"name":"orderBy","in":"query","description":"Sorting method: from the lowest element to the highest (ASC) or from the highest element to the lowest (DESC).","required":true,"schema":{"type":"string","default":"DESC","enum":["ASC","DESC"]},"example":"DESC"}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PagedResponseValidatorDtoAPI"}}}}}}},"/v1/validators/new":{"get":{"tags":["Validators"],"summary":"Get new validator list","description":"Retrieve paginated list of new Validators","operationId":"getNewValidators","parameters":[{"name":"size","in":"query","description":"Number of queried entries","required":false,"schema":{"maximum":100,"minimum":1,"type":"string","default":"10"},"example":10}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidatorDtoAPI"}}}}}}}},"/v1/validators/{validatorId}":{"get":{"tags":["Validators"],"summary":"Get validator details","description":"Retrieve detailed information about a specific validator","operationId":"getValidatorDetails","parameters":[{"name":"validatorId","in":"path","description":"Validator ID","required":true,"schema":{"type":"string"},"example":"Staketab-mainnet-1::122014f09cb05cffc2f1c524601c4aa91d35908dc55cfe9e92849390137ccc7c0d41"}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ValidatorDetailsDtoAPI"}}}}}}},"/v1/validators/{validatorId}/exist":{"get":{"tags":["Validators"],"summary":"Check if validator exists","description":"Check if the queried validator exists","operationId":"isValidatorExist","parameters":[{"name":"validatorId","in":"path","description":"Validator ID","required":true,"schema":{"type":"string"},"example":"Staketab-mainnet-1::122014f09cb05cffc2f1c524601c4aa91d35908dc55cfe9e92849390137ccc7c0d41"}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"boolean"}}}}}}}},"components":{"schemas":{"PageableInfo":{"type":"object","properties":{"sort":{"$ref":"#/components/schemas/SortInfo"},"pageSize":{"type":"integer","format":"int32"},"pageNumber":{"type":"integer","format":"int32"},"offset":{"type":"integer","format":"int32"},"paged":{"type":"boolean"},"unpaged":{"type":"boolean"}}},"PagedResponseValidatorDtoAPI":{"type":"object","properties":{"content":{"type":"array","items":{"$ref":"#/components/schemas/ValidatorDtoAPI"}},"pageable":{"$ref":"#/components/schemas/PageableInfo"},"last":{"type":"boolean"},"totalPages":{"type":"integer","format":"int64"},"totalElements":{"type":"integer","format":"int64"},"totalCount":{"type":"integer","format":"int64"},"size":{"type":"integer","format":"int32"},"number":{"type":"integer","format":"int32"},"sort":{"$ref":"#/components/schemas/SortInfo"},"first":{"type":"boolean"},"numberOfElements":{"type":"integer","format":"int32"},"empty":{"type":"boolean"}}},"SortInfo":{"type":"object","properties":{"sorted":{"type":"boolean"},"empty":{"type":"boolean"},"unsorted":{"type":"boolean"}}},"ValidatorDtoAPI":{"type":"object","properties":{"validator":{"type":"string"},"contractId":{"type":"string"},"templateId":{"type":"string"},"dso":{"type":"string"},"sponsor":{"type":"string"},"lastActiveAt":{"type":"integer","format":"int64"},"lastUpdatedAt":{"type":"integer","format":"int64"},"version":{"type":"string"},"contactPoint":{"type":"string"},"active":{"type":"boolean"},"validatorName":{"type":"string"},"validatorImg":{"type":"string"},"totalRewards":{"type":"number","format":"double"}}},"Actual":{"type":"object","properties":{"total_consumed":{"type":"integer","format":"int64"},"total_limit":{"type":"integer","format":"int64"}}},"Target":{"type":"object","properties":{"total_purchased":{"type":"integer","format":"int64"}}},"TrafficStatus":{"type":"object","properties":{"actual":{"$ref":"#/components/schemas/Actual"},"target":{"$ref":"#/components/schemas/Target"}}},"ValidatorDetailsDtoAPI":{"type":"object","properties":{"validator":{"type":"string"},"templateId":{"type":"string"},"contractId":{"type":"string"},"sponsor":{"type":"string"},"sponsorName":{"type":"string"},"dso":{"type":"string"},"createdAt":{"type":"integer","format":"int64"},"lastActiveAt":{"type":"integer","format":"int64"},"lastUpdatedAt":{"type":"integer","format":"int64"},"version":{"type":"string"},"contactPoint":{"type":"string"},"active":{"type":"boolean"},"validatorName":{"type":"string"},"validatorImg":{"type":"string"},"isVerified":{"type":"boolean"},"validatorFee":{"type":"number","format":"double"},"terms":{"type":"string"},"additionalTerms":{"type":"string"},"website":{"type":"string"},"discordContact":{"type":"string"},"discord":{"type":"string"},"twitter":{"type":"string"},"email":{"type":"string"},"github":{"type":"string"},"telegram":{"type":"string"},"description":{"type":"string"},"trafficStatus":{"$ref":"#/components/schemas/TrafficStatus"}}},"PagedResponseUpdateDtoAPI":{"type":"object","properties":{"content":{"type":"array","items":{"$ref":"#/components/schemas/UpdateDtoAPI"}},"pageable":{"$ref":"#/components/schemas/PageableInfo"},"last":{"type":"boolean"},"totalPages":{"type":"integer","format":"int64"},"totalElements":{"type":"integer","format":"int64"},"totalCount":{"type":"integer","format":"int64"},"size":{"type":"integer","format":"int32"},"number":{"type":"integer","format":"int32"},"sort":{"$ref":"#/components/schemas/SortInfo"},"first":{"type":"boolean"},"numberOfElements":{"type":"integer","format":"int32"},"empty":{"type":"boolean"}}},"UpdateDtoAPI":{"type":"object","properties":{"updateId":{"type":"string"},"migrationId":{"type":"integer","format":"int32"},"workflowId":{"type":"string"},"recordTime":{"type":"integer","format":"int64"},"synchronizerId":{"type":"string"},"effectiveAt":{"type":"integer","format":"int64"},"rootEventIds":{"type":"string"},"eventsCount":{"type":"integer","format":"int32"},"synchronizerName":{"type":"string"},"synchronizerImg":{"type":"string"}}},"PagedResponseTransferDtoAPI":{"type":"object","properties":{"content":{"type":"array","items":{"$ref":"#/components/schemas/TransferDtoAPI"}},"pageable":{"$ref":"#/components/schemas/PageableInfo"},"last":{"type":"boolean"},"totalPages":{"type":"integer","format":"int64"},"totalElements":{"type":"integer","format":"int64"},"totalCount":{"type":"integer","format":"int64"},"size":{"type":"integer","format":"int32"},"number":{"type":"integer","format":"int32"},"sort":{"$ref":"#/components/schemas/SortInfo"},"first":{"type":"boolean"},"numberOfElements":{"type":"integer","format":"int32"},"empty":{"type":"boolean"}}},"ParticipantDtoAPI":{"type":"object","properties":{"partyId":{"type":"string"},"accountName":{"type":"string"},"imageUrl":{"type":"string"}}},"TransferDtoAPI":{"type":"object","properties":{"eventId":{"type":"string"},"transferType":{"type":"string"},"senders":{"type":"array","items":{"$ref":"#/components/schemas/ParticipantDtoAPI"}},"receivers":{"type":"array","items":{"$ref":"#/components/schemas/ParticipantDtoAPI"}},"amount":{"type":"number"},"fee":{"type":"number"},"amuletPrice":{"type":"number"},"createdAt":{"type":"integer","format":"int64"}}},"PageResponseTransferAccountDtoAPI":{"type":"object","properties":{"content":{"type":"array","items":{"$ref":"#/components/schemas/TransferAccountDtoAPI"}},"hasNextPage":{"type":"boolean"},"nextCursor":{"type":"string"}}},"TransferAccountDtoAPI":{"type":"object","properties":{"eventId":{"type":"string"},"transferType":{"type":"string"},"senders":{"type":"array","items":{"$ref":"#/components/schemas/ParticipantDtoAPI"}},"receivers":{"type":"array","items":{"$ref":"#/components/schemas/ParticipantDtoAPI"}},"amount":{"type":"number"},"fee":{"type":"number"},"createdAt":{"type":"integer","format":"int64"}}},"PagedResponseTokenDtoAPI":{"type":"object","properties":{"content":{"type":"array","items":{"$ref":"#/components/schemas/TokenDtoAPI"}},"pageable":{"$ref":"#/components/schemas/PageableInfo"},"last":{"type":"boolean"},"totalPages":{"type":"integer","format":"int64"},"totalElements":{"type":"integer","format":"int64"},"totalCount":{"type":"integer","format":"int64"},"size":{"type":"integer","format":"int32"},"number":{"type":"integer","format":"int32"},"sort":{"$ref":"#/components/schemas/SortInfo"},"first":{"type":"boolean"},"numberOfElements":{"type":"integer","format":"int32"},"empty":{"type":"boolean"}}},"TokenDtoAPI":{"type":"object","properties":{"symbol":{"type":"string"},"contractId":{"type":"string"},"templateId":{"type":"string"},"registrar":{"type":"string"},"createdAt":{"type":"integer","format":"int64"}}},"TokenDetailsDtoAPI":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"symbol":{"type":"string"},"operator":{"type":"string"},"provider":{"type":"string"},"registrar":{"type":"string"},"contractId":{"type":"string"},"templateId":{"type":"string"},"domainId":{"type":"string"},"createdEventBlob":{"type":"string"},"createdAt":{"type":"integer","format":"int64"},"additionalIdentifiersJson":{"type":"object"},"issuerRequirementsJson":{"type":"object"},"holderRequirementsJson":{"type":"object"}}},"PagedResponseSuperValidatorDtoAPI":{"type":"object","properties":{"content":{"type":"array","items":{"$ref":"#/components/schemas/SuperValidatorDtoAPI"}},"pageable":{"$ref":"#/components/schemas/PageableInfo"},"last":{"type":"boolean"},"totalPages":{"type":"integer","format":"int64"},"totalElements":{"type":"integer","format":"int64"},"totalCount":{"type":"integer","format":"int64"},"size":{"type":"integer","format":"int32"},"number":{"type":"integer","format":"int32"},"sort":{"$ref":"#/components/schemas/SortInfo"},"first":{"type":"boolean"},"numberOfElements":{"type":"integer","format":"int32"},"empty":{"type":"boolean"}}},"SuperValidatorDtoAPI":{"type":"object","properties":{"svId":{"type":"string"},"publicUrl":{"type":"string"},"svName":{"type":"string"},"joinedAsOfRound":{"type":"integer","format":"int64"},"svRewardWeight":{"type":"integer","format":"int64"},"participantId":{"type":"string"},"seqId":{"type":"string"},"seqUrl":{"type":"string"},"seqAvailableAfter":{"type":"integer","format":"int64"},"svPublicUrl":{"type":"string"},"amuletPrice":{"type":"number"},"totalVotes":{"type":"integer","format":"int64"},"totalSponsored":{"type":"integer","format":"int64"},"validatorName":{"type":"string"},"validatorImg":{"type":"string"},"totalRewards":{"type":"number","format":"double"}}},"PagedResponseRewardRowDtoAPI":{"type":"object","properties":{"content":{"type":"array","items":{"$ref":"#/components/schemas/RewardRowDtoAPI"}},"pageable":{"$ref":"#/components/schemas/PageableInfo"},"last":{"type":"boolean"},"totalPages":{"type":"integer","format":"int64"},"totalElements":{"type":"integer","format":"int64"},"totalCount":{"type":"integer","format":"int64"},"size":{"type":"integer","format":"int32"},"number":{"type":"integer","format":"int32"},"sort":{"$ref":"#/components/schemas/SortInfo"},"first":{"type":"boolean"},"numberOfElements":{"type":"integer","format":"int32"},"empty":{"type":"boolean"}}},"RewardRowDtoAPI":{"type":"object","properties":{"eventId":{"type":"string"},"partyId":{"type":"string"},"inputAppRewardAmount":{"type":"number"},"inputValidatorRewardAmount":{"type":"number"},"inputSvRewardAmount":{"type":"number"},"createdAt":{"type":"integer","format":"int64"}}},"PagedResponsePartyDtoAPI":{"type":"object","properties":{"content":{"type":"array","items":{"$ref":"#/components/schemas/PartyDtoAPI"}},"pageable":{"$ref":"#/components/schemas/PageableInfo"},"last":{"type":"boolean"},"totalPages":{"type":"integer","format":"int64"},"totalElements":{"type":"integer","format":"int64"},"totalCount":{"type":"integer","format":"int64"},"size":{"type":"integer","format":"int32"},"number":{"type":"integer","format":"int32"},"sort":{"$ref":"#/components/schemas/SortInfo"},"first":{"type":"boolean"},"numberOfElements":{"type":"integer","format":"int32"},"empty":{"type":"boolean"}}},"PartyDtoAPI":{"type":"object","properties":{"partyAddress":{"type":"string"},"partyName":{"type":"string"},"partyImg":{"type":"string"},"balance":{"type":"number"},"firstSeen":{"type":"integer","format":"int64"},"lastSeen":{"type":"integer","format":"int64"},"totalRewards":{"type":"number","format":"double"}}},"AccountDetailsDto":{"type":"object","properties":{"partyId":{"type":"string"},"createdAt":{"type":"integer","format":"int64"},"holdingsSummaryResponse":{"$ref":"#/components/schemas/HoldingsSummaryResponse"}}},"HoldingsSummary":{"type":"object","properties":{"party_id":{"type":"string"},"total_unlocked_coin":{"type":"string"},"total_locked_coin":{"type":"string"},"total_coin_holdings":{"type":"string"},"accumulated_holding_fees_unlocked":{"type":"string"},"accumulated_holding_fees_locked":{"type":"string"},"accumulated_holding_fees_total":{"type":"string"},"total_available_coin":{"type":"string"},"record_time":{"type":"string","format":"date-time"},"migration_id":{"type":"integer","format":"int32"},"computed_as_of_round":{"type":"integer","format":"int32"}}},"HoldingsSummaryResponse":{"type":"object","properties":{"record_time":{"type":"string","format":"date-time"},"migration_id":{"type":"integer","format":"int32"},"computed_as_of_round":{"type":"integer","format":"int32"},"summaries":{"type":"array","items":{"$ref":"#/components/schemas/HoldingsSummary"}}}},"AccountTypesDto":{"type":"object","properties":{"isAccount":{"type":"boolean"},"isValidator":{"type":"boolean"},"isSv":{"type":"boolean"}}},"TokenRateDtoAPI":{"type":"object","properties":{"price":{"type":"number","format":"double"},"change24h":{"type":"number","format":"double"},"updateTimestamp":{"type":"integer","format":"int64"}}},"CirculatingSupplyDtoAPI":{"type":"object","properties":{"valueCoin":{"type":"number","format":"double"}}},"DominanceDtoAPI":{"type":"object","properties":{"valuePercent":{"type":"number","format":"double"}}},"MarketCapDtoAPI":{"type":"object","properties":{"changePercent":{"type":"number","format":"double"},"valueUsd":{"type":"number","format":"double"},"period":{"type":"string"}}},"MarketInfoDtoAPI":{"type":"object","properties":{"circulatingSupply":{"$ref":"#/components/schemas/CirculatingSupplyDtoAPI"},"dominanceDto":{"$ref":"#/components/schemas/DominanceDtoAPI"},"marketCapDto":{"$ref":"#/components/schemas/MarketCapDtoAPI"},"totalSupplyDto":{"$ref":"#/components/schemas/TotalSupplyDtoAPI"},"totalStakeDto":{"$ref":"#/components/schemas/TotalStakeDtoAPI"},"tokenPriceDto":{"$ref":"#/components/schemas/TokenRateDtoAPI"},"updateTimestamp":{"type":"integer","format":"int64"}}},"TotalStakeDtoAPI":{"type":"object","properties":{"valueCoin":{"type":"number","format":"double"},"valueUsd":{"type":"number","format":"double"}}},"TotalSupplyDtoAPI":{"type":"object","properties":{"valueCoin":{"type":"number","format":"double"},"valueUsd":{"type":"number","format":"double"}}},"PagedResponseVoteRequestDtoAPI":{"type":"object","properties":{"content":{"type":"array","items":{"$ref":"#/components/schemas/VoteRequestDtoAPI"}},"pageable":{"$ref":"#/components/schemas/PageableInfo"},"last":{"type":"boolean"},"totalPages":{"type":"integer","format":"int64"},"totalElements":{"type":"integer","format":"int64"},"totalCount":{"type":"integer","format":"int64"},"size":{"type":"integer","format":"int32"},"number":{"type":"integer","format":"int32"},"sort":{"$ref":"#/components/schemas/SortInfo"},"first":{"type":"boolean"},"numberOfElements":{"type":"integer","format":"int32"},"empty":{"type":"boolean"}}},"VoteRequestDtoAPI":{"type":"object","properties":{"contractId":{"type":"string"},"templateId":{"type":"string"},"trackingCid":{"type":"string"},"title":{"type":"string"},"status":{"type":"string"},"requester":{"type":"string"},"createdAt":{"type":"integer","format":"int64"},"voteBefore":{"type":"integer","format":"int64"},"targetEffectiveAt":{"type":"integer","format":"int64"},"yesCount":{"type":"integer","format":"int32"},"noCount":{"type":"integer","format":"int32"},"abstainCount":{"type":"integer","format":"int32"},"totalWeightYes":{"type":"number","format":"double"},"totalWeightNo":{"type":"number","format":"double"},"totalWeightAbstain":{"type":"number","format":"double"},"requesterName":{"type":"string"},"requesterImg":{"type":"string"}}},"PagedResponseVoteDtoAPI":{"type":"object","properties":{"content":{"type":"array","items":{"$ref":"#/components/schemas/VoteDtoAPI"}},"pageable":{"$ref":"#/components/schemas/PageableInfo"},"last":{"type":"boolean"},"totalPages":{"type":"integer","format":"int64"},"totalElements":{"type":"integer","format":"int64"},"totalCount":{"type":"integer","format":"int64"},"size":{"type":"integer","format":"int32"},"number":{"type":"integer","format":"int32"},"sort":{"$ref":"#/components/schemas/SortInfo"},"first":{"type":"boolean"},"numberOfElements":{"type":"integer","format":"int32"},"empty":{"type":"boolean"}}},"VoteDtoAPI":{"type":"object","properties":{"contractId":{"type":"string"},"templateId":{"type":"string"},"company":{"type":"string"},"sv":{"type":"string"},"accept":{"type":"boolean"},"reasonUrl":{"type":"string"},"reasonBody":{"type":"string"},"optCastAt":{"type":"integer","format":"int64"},"accountName":{"type":"string"},"accountImg":{"type":"string"}}},"JsonNode":{"type":"object"},"VoteRequestDetailsDtoAPI":{"type":"object","properties":{"contractId":{"type":"string"},"templateId":{"type":"string"},"createdEventBlob":{"type":"string"},"createdAt":{"type":"integer","format":"int64"},"dso":{"type":"string"},"voteBefore":{"type":"integer","format":"int64"},"targetEffectiveAt":{"type":"integer","format":"int64"},"requester":{"type":"string"},"trackingCid":{"type":"string"},"reasonUrl":{"type":"string"},"reasonBody":{"type":"string"},"actionConfig":{"$ref":"#/components/schemas/JsonNode"},"actionProvider":{"type":"string"},"status":{"type":"string"},"yesCount":{"type":"integer","format":"int32"},"noCount":{"type":"integer","format":"int32"},"abstainCount":{"type":"integer","format":"int32"},"totalWeightYes":{"type":"number","format":"double"},"totalWeightNo":{"type":"number","format":"double"},"totalWeightAbstain":{"type":"number","format":"double"},"rawPayload":{"$ref":"#/components/schemas/JsonNode"},"requesterName":{"type":"string"},"requesterImg":{"type":"string"}}},"IndividualVoteDtoAPI":{"type":"object","properties":{"company":{"type":"string"},"identifier":{"type":"string"},"accept":{"type":"boolean"},"trackingCid":{"type":"string"},"title":{"type":"string"},"reasonUrl":{"type":"string"},"reason":{"type":"string"},"voteBefore":{"type":"integer","format":"int64"},"accountName":{"type":"string"},"accountImg":{"type":"string"}}},"PagedResponseIndividualVoteDtoAPI":{"type":"object","properties":{"content":{"type":"array","items":{"$ref":"#/components/schemas/IndividualVoteDtoAPI"}},"pageable":{"$ref":"#/components/schemas/PageableInfo"},"last":{"type":"boolean"},"totalPages":{"type":"integer","format":"int64"},"totalElements":{"type":"integer","format":"int64"},"totalCount":{"type":"integer","format":"int64"},"size":{"type":"integer","format":"int32"},"number":{"type":"integer","format":"int32"},"sort":{"$ref":"#/components/schemas/SortInfo"},"first":{"type":"boolean"},"numberOfElements":{"type":"integer","format":"int32"},"empty":{"type":"boolean"}}},"FeaturedAppDtoAPI":{"type":"object","properties":{"contractId":{"type":"string"},"templateId":{"type":"string"},"dso":{"type":"string"},"provider":{"type":"string"},"createdEventBlob":{"type":"string"},"createdAt":{"type":"integer","format":"int64"}}},"PagedResponseFeaturedAppDtoAPI":{"type":"object","properties":{"content":{"type":"array","items":{"$ref":"#/components/schemas/FeaturedAppDtoAPI"}},"pageable":{"$ref":"#/components/schemas/PageableInfo"},"last":{"type":"boolean"},"totalPages":{"type":"integer","format":"int64"},"totalElements":{"type":"integer","format":"int64"},"totalCount":{"type":"integer","format":"int64"},"size":{"type":"integer","format":"int32"},"number":{"type":"integer","format":"int32"},"sort":{"$ref":"#/components/schemas/SortInfo"},"first":{"type":"boolean"},"numberOfElements":{"type":"integer","format":"int32"},"empty":{"type":"boolean"}}},"EventDtoAPI":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"eventId":{"type":"string"},"transactionId":{"type":"string"},"eventType":{"type":"string"},"contractId":{"type":"string"},"templateId":{"type":"string"},"packageName":{"type":"string"},"templateName":{"type":"string"},"templateHash":{"type":"string"},"eventData":{"type":"string"},"createArguments":{"type":"string"},"createdAt":{"type":"integer","format":"int64"},"signatories":{"type":"string"},"observers":{"type":"string"},"choice":{"type":"string"},"choiceArgument":{"type":"string"},"childEventIds":{"type":"string"},"exerciseResult":{"type":"string"},"consuming":{"type":"boolean"},"actingParties":{"type":"string"},"interfaceId":{"type":"string"}}},"PagedResponseEventDtoAPI":{"type":"object","properties":{"content":{"type":"array","items":{"$ref":"#/components/schemas/EventDtoAPI"}},"pageable":{"$ref":"#/components/schemas/PageableInfo"},"last":{"type":"boolean"},"totalPages":{"type":"integer","format":"int64"},"totalElements":{"type":"integer","format":"int64"},"totalCount":{"type":"integer","format":"int64"},"size":{"type":"integer","format":"int32"},"number":{"type":"integer","format":"int32"},"sort":{"$ref":"#/components/schemas/SortInfo"},"first":{"type":"boolean"},"numberOfElements":{"type":"integer","format":"int32"},"empty":{"type":"boolean"}}},"EventDetailsDtoAPI":{"type":"object","properties":{"eventId":{"type":"string"},"transactionId":{"type":"string"},"eventType":{"type":"string"},"contractId":{"type":"string"},"templateId":{"type":"string"},"packageName":{"type":"string"},"templateName":{"type":"string"},"templateHash":{"type":"string"},"eventData":{"type":"string"},"createArguments":{"type":"string"},"createdAt":{"type":"integer","format":"int64"},"signatories":{"type":"string"},"observers":{"type":"string"},"choice":{"type":"string"},"choiceArgument":{"type":"string"},"childEventIds":{"type":"string"},"exerciseResult":{"type":"string"},"consuming":{"type":"boolean"},"actingParties":{"type":"string"},"interfaceId":{"type":"string"}}},"DashboardDtoAPI":{"type":"object","properties":{"totalTransactions":{"type":"integer","format":"int64"},"totalEvents":{"type":"integer","format":"int64"},"totalTransfers":{"type":"integer","format":"int64"},"totalAccounts":{"type":"integer","format":"int64"},"totalValidators":{"type":"integer","format":"int64"},"totalActiveValidators":{"type":"integer","format":"int64"},"totalInactiveValidators":{"type":"integer","format":"int64"},"totalSuperValidators":{"type":"integer","format":"int64"},"totalVoteRequests":{"type":"integer","format":"int64"},"approvedVoteRequests":{"type":"integer","format":"int64"},"activeVoteRequests":{"type":"integer","format":"int64"},"tps":{"type":"integer","format":"int64"},"avgDayTps":{"type":"integer","format":"int64"},"avgDayTpsChange":{"type":"integer","format":"int64"},"monthPeakTps":{"type":"integer","format":"int64"},"cps":{"type":"integer","format":"int64"},"avgDayCps":{"type":"integer","format":"int64"},"avgDayCpsChange":{"type":"integer","format":"int64"},"monthPeakCps":{"type":"integer","format":"int64"},"migration":{"type":"integer","format":"int64"},"latestRound":{"type":"integer","format":"int64"}}},"ContractOfferDtoAPI":{"type":"object","properties":{"contractId":{"type":"string"},"templateId":{"type":"string"},"templateName":{"type":"string"},"signatories":{"type":"integer","format":"int32"},"eventData":{"type":"string"},"createdAt":{"type":"integer","format":"int64"}}},"PagedResponseContractOfferDtoAPI":{"type":"object","properties":{"content":{"type":"array","items":{"$ref":"#/components/schemas/ContractOfferDtoAPI"}},"pageable":{"$ref":"#/components/schemas/PageableInfo"},"last":{"type":"boolean"},"totalPages":{"type":"integer","format":"int64"},"totalElements":{"type":"integer","format":"int64"},"totalCount":{"type":"integer","format":"int64"},"size":{"type":"integer","format":"int32"},"number":{"type":"integer","format":"int32"},"sort":{"$ref":"#/components/schemas/SortInfo"},"first":{"type":"boolean"},"numberOfElements":{"type":"integer","format":"int32"},"empty":{"type":"boolean"}}},"ContractDetailsDtoAPI":{"type":"object","properties":{"contractId":{"type":"string"},"templateId":{"type":"string"},"signatories":{"type":"array","items":{"type":"string"}},"creatingEvent":{"type":"string"},"creatingUpdate":{"type":"string"},"createdAt":{"type":"integer","format":"int64"},"packageName":{"type":"string"},"args":{"type":"string"}}},"ContractEventDtoAPI":{"type":"object","properties":{"eventId":{"type":"string"},"updateId":{"type":"string"},"effectiveAt":{"type":"integer","format":"int64"},"recordTime":{"type":"integer","format":"int64"},"migrationId":{"type":"integer","format":"int32"},"createdEvents":{"type":"integer","format":"int32"},"synchronizer":{"type":"string"},"synchronizerName":{"type":"string"},"synchronizerImg":{"type":"string"}}},"PageResponseContractEventDtoAPI":{"type":"object","properties":{"content":{"type":"array","items":{"$ref":"#/components/schemas/ContractEventDtoAPI"}},"hasNextPage":{"type":"boolean"},"nextCursor":{"type":"string"}}}},"securitySchemes":{"x-api-key":{"type":"apiKey","name":"x-api-key","in":"header"}}}}